
# file: IP_blob_axi_chip2chip_0_0.xdc
# (c) Copyright 2009 - 2011 Xilinx, Inc. All rights reserved.
# 
# This file contains confidential and proprietary information
# of Xilinx, Inc. and is protected under U.S. and
# international copyright and other intellectual property
# laws.
# 
# DISCLAIMER
# This disclaimer is not a license and does not grant any
# rights to the materials distributed herewith. Except as
# otherwise provided in a valid license issued to you by
# Xilinx, and to the maximum extent permitted by applicable
# law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
# WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
# AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
# BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
# INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
# (2) Xilinx shall not be liable (whether in contract or tort,
# including negligence, or under any other theory of
# liability) for any loss or damage of any kind or nature
# related to, arising under or in connection with these
# materials, including for any direct, or any indirect,
# special, incidental, or consequential loss or damage
# (including loss of data, profits, goodwill, or any type of
# loss or damage suffered as a result of any action brought
# by a third party) even if such damage or loss was
# reasonably foreseeable or Xilinx had been advised of the
# possibility of the same.
# 
# CRITICAL APPLICATIONS
# Xilinx products are not designed or intended to be fail-
# safe, or for use in any application requiring fail-safe
# performance, such as life-support or safety devices or
# systems, Class III medical devices, nuclear facilities,
# applications related to the deployment of airbags, or any
# other applications that could lead to death, personal
# injury, or severe property or environmental damage
# (individually and collectively, "Critical
# Applications"). Customer assumes the sole risk and
# liability of any use of Xilinx products in Critical
# Applications, subject only to applicable laws and
# regulations governing limitations on product liability.
# 
# THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
# PART OF THIS FILE AT ALL TIMES.


set_false_path -to [get_pins -filter {REF_PIN_NAME=~D} -of_objects [get_cells -hierarchical -filter {NAME =~ *cdc_to_reg}]]

create_clock -period 5.000 -waveform {0  2.500} [get_ports axi_c2c_selio_rx_diff_clk_in_p]

#Independent BRAM FIFO constraints in SLAVE INDEPENDENT mode
#Independent DIST RAM FIFO constraints in SLAVE INDEPENDENT mode 
##set_false_path -to [get_pins -hierarchical -filter {NAME =~*/*rstblk*/*CLR}]
set_false_path -from [get_cells -hierarchical -filter {NAME =~*/axi_chip2chip_ch0_ctrl_inst/intr_data_reg[*]}]


#$This is added for the R Pin where it is timed for both Rising & Falling Edge of the Clock
set_multicycle_path 2 -setup -to [get_pins -filter {REF_PIN_NAME=~R*} -of_objects [get_cells -hierarchical -filter {NAME =~ *iddr_inst}]]
set_multicycle_path 1 -hold -to [get_pins -filter {REF_PIN_NAME=~R*} -of_objects [get_cells -hierarchical -filter {NAME =~ *iddr_inst}]]
################################################################################

set_max_delay -from [get_pins -filter {REF_PIN_NAME=~C} -of_objects [get_cells -hierarchical -filter {NAME=~*slave_fpga_gen.axi_chip2chip_slave_phy_inst/slave_sio_phy.rx_reset_sync_inst/sync_reset_out_reg}]] -datapath_only 5.000
set_max_delay -from [get_pins -filter {REF_PIN_NAME=~C} -of_objects [get_cells -hierarchical -filter {NAME=~*slave_fpga_gen.axi_chip2chip_slave_phy_inst/axi_chip2chip_phy_init_inst/calib_error_flop_reg}]] -to [get_pins -filter {REF_PIN_NAME=~D} -of_objects [get_cells -hierarchical -filter {NAME=~*slave_fpga_gen.axi_chip2chip_slave_phy_inst/axi_chip2chip_phy_init_inst/axi_chip2chip_sync_cell_inst/sync_flop_0_reg[1]}]] -datapath_only 5.000
###set_max_delay -from [get_pins -hierarchical -filter {NAME=~*slave_fpga_gen.axi_chip2chip_slave_phy_inst/axi_chip2chip_phy_init_inst/calib_done_flop_reg/C}] -to [get_pins -hierarchical -filter {NAME=~*slave_fpga_gen.axi_chip2chip_slave_phy_inst/axi_chip2chip_phy_init_inst/axi_chip2chip_sync_cell_inst/sync_flop_0_reg[2]/D}] -datapath_only 5.000
set_false_path -from [get_pins -filter {REF_PIN_NAME=~C} -of_objects [get_cells -hierarchical -filter {NAME =~*/*fifo_reset_reg}]]
set_false_path -to [get_pins -filter {REF_PIN_NAME=~PRE} -of_objects [get_cells -hierarchical -filter {NAME =~*/*fifo_reset_reg}]]
set_false_path -to [get_pins -filter {REF_PIN_NAME=~PRE} -of_objects [get_cells -hierarchical -filter {NAME =~*/*sync_reset*}]]
set_false_path -to [get_pins -filter {REF_PIN_NAME=~D} -of_objects [get_cells -hierarchical -filter {NAME =~*axi_chip2chip_sync_cell*sync_flop_0*}]]
